<?php
// disable direct access
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// file name for ical feed
function vsel_ical_feed_file_name() {
	$filename = urlencode( get_bloginfo('name').'-ical-'.date('Y-m-d').'.ics' );
	return $filename;
}

// create ical feed
function vsel_ical_feed() {
header('Content-Description:File Transfer');
header('Content-Disposition:attachment; filename="'.vsel_ical_feed_file_name().'"');
header('Content-type:text/calendar; charset=UTF-8');
	$eol = "\r\n";
	$items = get_option('vsel-setting-93');
	if ( is_numeric($items) && !empty($items) ) {
		$number_of_events = $items;
	} else {
		$number_of_events  = '10';
	}
	$the_event_list_ical = new WP_Query(array(
		'post_type' => 'event',
		'meta_key' => 'event-date',
		'orderby' => 'meta_value_num',
		'order' => 'DESC',
		'posts_per_page' => $number_of_events
	));
	if ( $the_event_list_ical->have_posts() ) :
$output = '';
$output .= 'BEGIN:VCALENDAR'.$eol.'';
$output .= 'VERSION:2.0'.$eol.'';
$output .= 'PRODID:-//'.get_bloginfo('name').'//NONSGML Events//EN'.$eol.'';
	while($the_event_list_ical->have_posts()) : $the_event_list_ical->the_post();
		$event = get_post( get_the_ID() );
		$title = $event->post_title;
		$start_date = date("Ymd\THis", get_post_meta( get_the_ID(), 'event-start-date', true ));
		$end_date = date("Ymd\THis", get_post_meta( get_the_ID(), 'event-date', true ));
		$modified_date = get_the_modified_date("Ymd\THis", get_the_ID());
		$location = get_post_meta( get_the_ID(), 'event-location', true );
		$url = get_the_permalink();
		$summary_raw = get_post_meta( get_the_ID(), 'event-summary', true );
		if ( empty($summary_raw) ) {
			$summary_raw = wp_trim_words( $event->post_content, 15, '...' );
		}
		$summary = preg_replace( "/\r\n/", "\\n", $summary_raw);
		$image = get_the_post_thumbnail_url( get_the_ID(), 'large' );
$output .= 'BEGIN:VEVENT'.$eol.'';
$output .= 'UID:'.esc_attr(get_the_ID()).$eol.'';
$output .= 'DTSTAMP:'.esc_attr($modified_date).$eol.'';
$output .= 'DTSTART:'.esc_attr($start_date).$eol.'';
$output .= 'DTEND:'.esc_attr($end_date).$eol.'';
$output .= 'LOCATION:'.wp_strip_all_tags($location).$eol.'';
$output .= 'DESCRIPTION:'.wp_strip_all_tags($summary).$eol.'';
$output .= 'SUMMARY:'.wp_strip_all_tags($title).$eol.'';
$output .= 'ATTACH;FMTTYPE=image/jpeg:'.esc_url($image).$eol.'';
$output .= 'URL;VALUE=URI:'.esc_url($url).$eol.'';
$output .= 'END:VEVENT'.$eol.'';
		endwhile;
$output .= 'END:VCALENDAR';
	echo $output;
	endif;
}

// create rss feed
function vsel_rss_feed() {
header('Content-type:application/rss+xml; charset=UTF-8');
	$eol = "\r\n";
$output = '';
$output .= '<?xml version="1.0" encoding="UTF-8"?>'.$eol.'';
$output .= '<rss version="2.0">'.$eol.'';
$output .= '<channel>'.$eol.'';
$output .= '<title>'.get_bloginfo('name').'</title>'.$eol.'';
$output .= '<link>'.get_bloginfo('url').'</link>'.$eol.'';
$output .= '<description>'.get_bloginfo('description').'</description>'.$eol.'';
	$items = get_option('posts_per_rss');
	if ( is_numeric($items) && !empty($items) ) {
		$number_of_events = $items;
	} else {
		$number_of_events  = '10';
	}
	$today = vsel_timestamp_today();
	$vsel_meta_query_rss = array(
		'relation' => 'AND',
		array(
			'key' => 'event-date',
			'value' => $today,
			'compare' => '>=',
			'type' => 'NUMERIC'
		)
	);
	$vsel_query_args_rss = array(
		'post_type' => 'event',
		'meta_key' => 'event-start-date',
		'orderby' => 'meta_value_num',
		'order' => 'ASC',
		'posts_per_page' => $number_of_events,
		'meta_query' => $vsel_meta_query_rss
	);
	$the_event_list_rss = new WP_Query( $vsel_query_args_rss );
	if ( $the_event_list_rss->have_posts() ) :
		while($the_event_list_rss->have_posts()) : $the_event_list_rss->the_post();
			$event = get_post( get_the_ID() );
			$title = $event->post_title;
			$start_date = date("D, d M Y H:i:s", get_post_meta( get_the_ID(), 'event-start-date', true ));
			$url = get_the_permalink();
			$shortlink = wp_get_shortlink();
			$offset = '+0000';
			if (get_option('rss_use_excerpt') == true) {
				$summary_raw = get_post_meta( get_the_ID(), 'event-summary', true );
				if ( empty($summary_raw) ) {
					$summary_raw = wp_trim_words( $event->post_content, 15, '...' );
				}
				$content = preg_replace( "/\r\n/", "\\n", $summary_raw);
			} else {
				$content = wpautop( wp_kses_post( $event->post_content ) );
			}
$output .= '<item>'.$eol.'';
$output .= '<title>'.wp_strip_all_tags($title).'</title>'.$eol.'';
$output .= '<link>'.esc_url($url).'</link>'.$eol.'';
$output .= '<pubDate>'.esc_attr($start_date).' '.$offset.'</pubDate>'.$eol.'';
$output .= '<description>'.wp_strip_all_tags($content).'</description>'.$eol.'';
$output .= '<guid>'.esc_url($shortlink).'</guid>'.$eol.'';
$output .= '</item>'.$eol.'';
		endwhile;
	endif;
$output .= '</channel>'.$eol.'';
$output .= '</rss>';
echo $output;
}
